apiVersion: helm.cattle.io/v1
kind: HelmChart
metadata:
  name: dkregistry
  namespace: kube-system
spec:
  chart: twuni/docker-registry
  targetNamespace: dev-tools
  set:
    adminPassword: "NotVerySafePassword"
    replicaCount: 1
  valuesContent: |-
    image:
      tag: 2.7.1
    metrics:
      enabled: true
    ingress:
      className: traefik
      hosts: dkregistry.xai-corp.net
    extraVolumeMounts:
      - name: registry-data
        mountPath: /var/lib/registry-data
      - name: registry-auth
        mountPath: /auth
      - name: registry-auth
        mountPath: /etc/docker/registry/config.yml
      - name: letsencrypt-data
        mountPath: /certs
      - name: letsencrypt-config
        mountPath: /etc/letsencrypt
    extraVolumes:
      - name: registry-data
        hostPath:
          path: /opt/shared/dkregistry/data
      - name: registry-auth
        hostPath:
          path: /opt/shared/dkregistry/auth
      - name: registry-config
        hostPath:
          path: /opt/shared/dkregistry/config/config.yml
      - name: letsencrypt-data
        hostPath:
          path: /opt/shared/letsencrypt-2
      - name: letsencrypt-config
        hostPath:
          path: /opt/shared/letsencrypt-2
